import { TemporalStats } from '../../statistics.types';

const updateTemporalStats = (stats: TemporalStats, value: string | Date) => {
  const timestamp = value instanceof Date ? value.getTime() : new Date(value).getTime();

  if (stats.min === undefined || timestamp < stats.min) stats.min = timestamp;
  if (stats.max === undefined || timestamp > stats.max) stats.max = timestamp;

  stats.range = stats.max - stats.min;
};

export { updateTemporalStats };
