import { dirname, join } from 'path';
import type { StorybookConfig } from '@storybook/react-vite';

const config: StorybookConfig = {
  stories: [
    // "../src/**/*.mdx",
    // "../src/**/*.stories.@(js|jsx|ts|tsx)",
    // "../node_modules/@graphpolaris/**/*.stories.@(js|jsx|ts|tsx)"
    '../node_modules/@graphpolaris/shared/lib/**/*.stories.@(js|jsx|ts|tsx)',
    '../node_modules/@graphpolaris/shared/lib/**/*.mdx',
    '../src/**/*.mdx',
    '../node_modules/web/src/**/*.stories.@(js|jsx|ts|tsx)',
    // "../../../apps/web/src/**/*.stories.@(js|jsx|ts|tsx)",
  ],
  addons: [
    getAbsolutePath('@storybook/addon-links'),
    getAbsolutePath('@storybook/addon-essentials'),
    getAbsolutePath('@storybook/addon-interactions'),
  ],
  framework: {
    name: '@storybook/react-vite',
    options: {},
  },
  docs: {
    autodocs: 'tag',
    defaultName: 'Overview',
  },
  // viteFinal(config, { configType }) {
  //   return mergeConfig(config, {
  //     plugins: [tsconfigPaths()],
  //   });
  // },
};

// config.module.rules.push({
//   test: /\.scss$/,
//   use: ["style-loader", "css-loader", "sass-loader"],
//   include: path.resolve(__dirname, "../"), });

export default config;

function getAbsolutePath(value: string): any {
  return dirname(require.resolve(join(value, 'package.json')));
}
